# Calls

List and inspect call attempts linked to customers, campaigns, and operational workflows.

## List Calls

> List call attempts with their customer and enrolled campaigns.\
> \
> \- Enforces ownership via Customer scope.\
> \- If \`campaign\_id\` is provided, restrict to customers enrolled in that campaign.\
> \- If \`status\` is provided, filter attempts by status (comma-separated).\
> \- If \`outcome\` is provided, filter attempts by outcome (comma-separated, supports null).\
> \- If \`q\` is provided, search by name/surname/phone/customer\_id/conv\_id.\
> \- If \`date\_from\`/\`date\_to\` are provided, filter by recent activity timestamp.\
> \- If \`customer\_id\` is provided, restrict to that customer.

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"calls","description":"List and inspect call attempts linked to customers, campaigns, and operational workflows."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"PaginatedResponse_CallWithContextOut_":{"properties":{"data":{"items":{"$ref":"#/components/schemas/CallWithContextOut"},"type":"array","title":"Data"},"meta":{"$ref":"#/components/schemas/MetaOut"},"query":{"$ref":"#/components/schemas/QueryOut"},"aggregations":{"$ref":"#/components/schemas/AggregationsOut"}},"type":"object","required":["data","meta","query"],"title":"PaginatedResponse[CallWithContextOut]"},"CallWithContextOut":{"properties":{"attempt":{"$ref":"#/components/schemas/CallAttemptOut"},"customer":{"$ref":"#/components/schemas/CustomerOut"},"campaigns":{"items":{"$ref":"#/components/schemas/CampaignRef"},"type":"array","title":"Campaigns"}},"type":"object","required":["attempt","customer","campaigns"],"title":"CallWithContextOut"},"CallAttemptOut":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"attempt_no":{"type":"integer","title":"Attempt No"},"status":{"type":"string","title":"Status"},"outcome":{"title":"Outcome","type":"string"},"conv_id":{"title":"Conv Id","type":"string"},"n8n_exec_id":{"title":"N8N Exec Id","type":"string"},"direction":{"title":"Direction","type":"string"},"external_from":{"title":"External From","type":"string"},"external_to":{"title":"External To","type":"string"},"duration_seconds":{"title":"Duration Seconds","type":"number"},"messages_count":{"type":"integer","title":"Messages Count","default":0},"call_successful":{"title":"Call Successful","type":"string"},"call_summary_title":{"title":"Call Summary Title","type":"string"},"transcript_summary":{"title":"Transcript Summary","type":"string"},"agent_goal_result":{"title":"Agent Goal Result","type":"string"},"agent_goal_rationale":{"title":"Agent Goal Rationale","type":"string"},"customer_sentiment":{"title":"Customer Sentiment","type":"string"},"customer_sentiment_rationale":{"title":"Customer Sentiment Rationale","type":"string"},"follow_up_required":{"title":"Follow Up Required","type":"boolean"},"follow_up_required_rationale":{"title":"Follow Up Required Rationale","type":"string"},"escalation_required":{"title":"Escalation Required","type":"boolean"},"escalation_required_rationale":{"title":"Escalation Required Rationale","type":"string"},"campaign":{"$ref":"#/components/schemas/CampaignRef"},"scheduled_at":{"type":"string","format":"date-time","title":"Scheduled At"},"dispatched_at":{"title":"Dispatched At","type":"string","format":"date-time"},"finished_at":{"title":"Finished At","type":"string","format":"date-time"},"delivery_attempts":{"type":"integer","title":"Delivery Attempts"},"last_error":{"title":"Last Error","type":"string"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","attempt_no","status","scheduled_at","delivery_attempts","created_at","updated_at"],"title":"CallAttemptOut"},"CampaignRef":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"name":{"type":"string","title":"Name"}},"type":"object","required":["id","name"],"title":"CampaignRef"},"CustomerOut":{"properties":{"customer_id":{"title":"Customer Id","type":"string","maxLength":255},"name":{"title":"Name","type":"string","maxLength":255},"surname":{"title":"Surname","type":"string","maxLength":255},"email":{"title":"Email","type":"string","format":"email"},"phone":{"title":"Phone","type":"string","maxLength":50},"status":{"title":"Status","type":"string","maxLength":50},"id":{"type":"string","format":"uuid","title":"Id"},"agent_id":{"title":"Agent Id","type":"string","format":"uuid"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","created_at","updated_at"],"title":"CustomerOut"},"MetaOut":{"properties":{"total":{"type":"integer","title":"Total"},"limit":{"type":"integer","title":"Limit"},"offset":{"type":"integer","title":"Offset"},"sort":{"$ref":"#/components/schemas/SortOut"}},"type":"object","required":["total","limit","offset"],"title":"MetaOut"},"SortOut":{"properties":{"field":{"type":"string","title":"Field"},"direction":{"type":"string","enum":["asc","desc"],"title":"Direction"}},"type":"object","required":["field","direction"],"title":"SortOut"},"QueryOut":{"properties":{"q":{"title":"Q","type":"string"},"filters":{"additionalProperties":true,"type":"object","title":"Filters"},"date_from":{"title":"Date From","type":"string","format":"date-time"},"date_to":{"title":"Date To","type":"string","format":"date-time"},"sort":{"$ref":"#/components/schemas/SortOut"}},"type":"object","title":"QueryOut"},"AggregationsOut":{"properties":{"quick_filters":{"title":"Quick Filters","additionalProperties":{"type":"integer"},"type":"object"},"extra":{"title":"Extra","additionalProperties":true,"type":"object"}},"type":"object","title":"AggregationsOut"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/calls":{"get":{"tags":["calls"],"summary":"List Calls","description":"List call attempts with their customer and enrolled campaigns.\n\n- Enforces ownership via Customer scope.\n- If `campaign_id` is provided, restrict to customers enrolled in that campaign.\n- If `status` is provided, filter attempts by status (comma-separated).\n- If `outcome` is provided, filter attempts by outcome (comma-separated, supports null).\n- If `q` is provided, search by name/surname/phone/customer_id/conv_id.\n- If `date_from`/`date_to` are provided, filter by recent activity timestamp.\n- If `customer_id` is provided, restrict to that customer.","operationId":"list_calls_calls_get","parameters":[{"name":"status","in":"query","required":false,"schema":{"title":"Status","type":"string"}},{"name":"outcome","in":"query","required":false,"schema":{"title":"Outcome","type":"string"}},{"name":"campaign_id","in":"query","required":false,"schema":{"title":"Campaign Id","type":"string","format":"uuid"}},{"name":"customer_id","in":"query","required":false,"schema":{"title":"Customer Id","type":"string","format":"uuid"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":200,"minimum":1,"default":10,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0,"title":"Offset"}},{"name":"q","in":"query","required":false,"schema":{"title":"Q","type":"string"}},{"name":"sort_field","in":"query","required":false,"schema":{"title":"Sort Field","type":"string"}},{"name":"sort_dir","in":"query","required":false,"schema":{"enum":["asc","desc"],"type":"string","default":"desc","title":"Sort Dir"}},{"name":"include_aggregations","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Aggregations"}},{"name":"date_from","in":"query","required":false,"schema":{"title":"Date From","type":"string"}},{"name":"date_to","in":"query","required":false,"schema":{"title":"Date To","type":"string"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"responses":{"200":{"description":"Request completed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedResponse_CallWithContextOut_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## Start Scheduled

> Set \`scheduled\_at\` to now for a pending CallAttempt.\
> \
> \- Enforces ownership via Customer scope.\
> \- Only works when the attempt is currently in \`pending\` status.

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"calls","description":"List and inspect call attempts linked to customers, campaigns, and operational workflows."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"CallAttemptOut":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"attempt_no":{"type":"integer","title":"Attempt No"},"status":{"type":"string","title":"Status"},"outcome":{"title":"Outcome","type":"string"},"conv_id":{"title":"Conv Id","type":"string"},"n8n_exec_id":{"title":"N8N Exec Id","type":"string"},"direction":{"title":"Direction","type":"string"},"external_from":{"title":"External From","type":"string"},"external_to":{"title":"External To","type":"string"},"duration_seconds":{"title":"Duration Seconds","type":"number"},"messages_count":{"type":"integer","title":"Messages Count","default":0},"call_successful":{"title":"Call Successful","type":"string"},"call_summary_title":{"title":"Call Summary Title","type":"string"},"transcript_summary":{"title":"Transcript Summary","type":"string"},"agent_goal_result":{"title":"Agent Goal Result","type":"string"},"agent_goal_rationale":{"title":"Agent Goal Rationale","type":"string"},"customer_sentiment":{"title":"Customer Sentiment","type":"string"},"customer_sentiment_rationale":{"title":"Customer Sentiment Rationale","type":"string"},"follow_up_required":{"title":"Follow Up Required","type":"boolean"},"follow_up_required_rationale":{"title":"Follow Up Required Rationale","type":"string"},"escalation_required":{"title":"Escalation Required","type":"boolean"},"escalation_required_rationale":{"title":"Escalation Required Rationale","type":"string"},"campaign":{"$ref":"#/components/schemas/CampaignRef"},"scheduled_at":{"type":"string","format":"date-time","title":"Scheduled At"},"dispatched_at":{"title":"Dispatched At","type":"string","format":"date-time"},"finished_at":{"title":"Finished At","type":"string","format":"date-time"},"delivery_attempts":{"type":"integer","title":"Delivery Attempts"},"last_error":{"title":"Last Error","type":"string"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","attempt_no","status","scheduled_at","delivery_attempts","created_at","updated_at"],"title":"CallAttemptOut"},"CampaignRef":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"name":{"type":"string","title":"Name"}},"type":"object","required":["id","name"],"title":"CampaignRef"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/calls/{attempt_id}/start-scheduled":{"post":{"tags":["calls"],"summary":"Start Scheduled","description":"Set `scheduled_at` to now for a pending CallAttempt.\n\n- Enforces ownership via Customer scope.\n- Only works when the attempt is currently in `pending` status.","operationId":"start_scheduled_calls__attempt_id__start_scheduled_post","parameters":[{"name":"attempt_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Attempt Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"responses":{"200":{"description":"Request completed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallAttemptOut"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aurorasuite.ai/api-reference/calls.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
